Subject: Re: [RFC PATCH 34/35] Add the Xen virtual network device driver.

From: Roland Dreier <[email-masked]>
Date: Tue, 09 May 2006 13:46:47 -0700

Keir> Where should we get our entropy from in a VM environment?
    Keir> Leaving the pool empty can cause processes to hang.

You could have something like a virtual HW RNG driver (with a frontend
and backend), which steals from the dom0 /dev/random pool.

 - R.